phing-tasks-ext

# Class: SshTask Source Location: /tasks/ext/SshTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --SshTask
Execute commands on a remote host using ssh. #### Author(s): Johan Van den Brande <johan@vandenbrande.com> #### Version: $Id: SshTask.php 526 2009-08-11 12:11:17Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods getCommand getHost getPassword getPort getUsername init main setCommand setHost setPassword setPort setUsername
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 32] Execute commands on a remote host using ssh. #### Tags:
author: | Johan Van den Brande <johan@vandenbrande.com>
version: | $Id: SshTask.php 526 2009-08-11 12:11:17Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method getCommand [line 85]
`void getCommand( )`
#### Tags:
access: | public
[ Top ] ### method getHost [line 45]
`void getHost( )`
#### Tags:
access: | public
[ Top ] ### method getPassword [line 75]
`void getPassword( )`
#### Tags:
access: | public
[ Top ] ### method getPort [line 55]
`void getPort( )`
#### Tags:
access: | public
[ Top ] ### method getUsername [line 65]
`void getUsername( )`
#### Tags:
access: | public
[ Top ] ### method init [line 90]
`void init( )`
#### Tags:
access: | public
Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 98]
`void main( )`
#### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setCommand [line 80]
`void setCommand( $command)`
#### Tags:
access: | public
#### Parameters:
| $command |
[ Top ] ### method setHost [line 40]
`void setHost( $host)`
#### Tags:
access: | public
#### Parameters:
| $host |
[ Top ] ### method setPassword [line 70]
`void setPassword( $password)`
#### Tags:
access: | public
#### Parameters:
| $password |
[ Top ] ### method setPort [line 50]
`void setPort( $port)`
#### Tags:
access: | public
#### Parameters:
| $port |
[ Top ] ### method setUsername [line 60]
`void setUsername( $username)`
#### Tags:
access: | public
#### Parameters:
| $username |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:03 +0200 by phpDocumentor 1.4.3